package cn.axzo.workflow.common.code;

import cn.axzo.framework.domain.web.code.IModuleRespCode;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 异步任务相关响应码
 *
 * @author wangli
 * @since 2024/4/29 20:30
 */
@Getter
@AllArgsConstructor
public enum AsyncJobRespCode implements IModuleRespCode {
    DATA_NOT_EXISTS("001", "ExtTaskInst 数据不存在, instId: {}, taskId: {}"),
    JOB_NOT_EXISTS_JOB_ID("002", "id为【{}】对应任务不存在"),
    JOB_NOT_EXISTS_PROC_INST_ID("003", "流程实例id为【{}】对应任务不存在"),
    RESUME_JOB_REQUEST_PARAM_ERROR("004", "恢复任务请求参数错误，jobId 和 procInstId 不能同时为空"),
    ;
    private final String code;
    private final String message;

    @Override
    public String getModuleCode() {
        return "11";
    }

    @Override
    public String getProjectCode() {
        return "998";
    }
}
